/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJ_CNK_SIMPLE_H_
#define _NJ_CNK_SIMPLE_H_

typedef    struct    {
    Float    z;                /* 3D Z                    */
    Float    x;                /* Screen X                */
    Float    y;                /* Screen Y                */
    Float    ooz;              /* One over Z              */
    Float    inten;            /* Intensity               */
    Float    spec;             /* Specular                */
    Float    nx;               /* Normal X                */
    Float    ny;               /* Normal Y                */
} NJS_CNK_SIMPLE_BUF;


void    njCnkSetSimpleLight( Float x,Float y,Float z );
void    njCnkSetSimpleLightIntensity( Float inten, Float ambient );
void    njCnkSetSimpleLightColor( Float r, Float g, Float b );
Sint32  njCnkSimpleDrawModel( NJS_CNK_MODEL *model );
void    njCnkSimpleDrawObject( NJS_CNK_OBJECT *object );


Sint32  njCnkSimpleDrawModel2p( NJS_CNK_MODEL *model , Float *color);
void    njCnkSimpleDrawObject2p( NJS_CNK_OBJECT *object , Float *color);

#endif	/*	_NJ_CNK_SIMPLE_H_	*/

/*
 * End Of File
 */
